Welcome

Cyotek WebCopy Help
Welcome
Send Feedback

Glossary Item Box

Welcome to Cyotek WebCopy Help.

Click the links below to view topics:

  • What is Cyotek WebCopy?
  • Getting Started
  • Working with Projects
  • Working with Rules
  • Working with Forms
  • Working with Passwords

© 2010-2013 Cyotek. All Rights Reserved.
Last updated 22Mar2013. Version 1.0.2.0.


Introducing WebCopy

Introducing WebCopy
Send Feedback

Glossary Item Box

Welcome to Cyotek WebCopy online help

  • What is Cyotek WebCopy?
  • License Agreement
  • Acknowledgements
  • System Requirements


What is Cyotek WebCopy?

What is Cyotek WebCopy?
See Also Send Feedback
Introduction > What is Cyotek WebCopy?

Glossary Item Box

Cyotek WebCopy is a tool designed to create local copies of websites for offline viewing.

WebCopy will automatically crawl a website and download its contents, remapping links to other files to allow offline browsing. WebCopy can authenticate with websites, post forms, and allows the use of rules to download only the content you wish.

See Also

License Agreement
Acknowledgements
System Requirements


License Agreement

License Agreement
See Also Send Feedback
Introduction > License Agreement

Glossary Item Box

END USER LICENCE FOR DOWNLOADABLE SOFTWARE

PLEASE READ THIS DOCUMENT CAREFULLY BEFORE USING THIS SOFTWARE. THIS LICENCE PROVIDES IMPORTANT INFORMATION CONCERNING THE SOFTWARE, PROVIDES YOU WITH A LICENCE TO USE THE SOFTWARE AND CONTAINS WARRANTY AND LIABILITY INFORMATION. BY USING THE SOFTWARE, YOU ARE ACCEPTING THE SOFTWARE “AS IS” AND AGREEING TO BE BOUND BY THE TERMS OF THIS LICENCE AGREEMENT. IF YOU DO NOT WISH TO DO SO, DO NOT USE THE SOFTWARE.

1. Terms of Licence

This Licence allows you to:

(a) use the Software on any number of computers; and

(b) make copies of the Software for back up purposes.

2. Restrictions on Use

Unless Cyotek (the "Owner") has authorised you to distribute the Software, you shall not make or distribute copies of the Software. You shall not decompile, reverse engineer, disassemble, include in other software, or translate the Software. You shall not modify, alter, change or otherwise make any modification to the Software or create derivative works based upon the Software. You shall not rent, lease, resell, sublicense, assign, distribute or otherwise transfer the Software or this Licence. Any attempt to do so shall be void and of no effect.

3. Ownership

This Licence provides you with limited rights to use the Software. The Owner retains all ownership, right, title and interest in, to and of the Software and all copies of it. All rights not specifically granted in this Licence, including domestic and international copyrights, are reserved by the Owner.

4. Proprietary Markings

The Owner's logos, product names, manuals, documentation, and other support materials are either patented, copyrighted, trademarked, constitute valuable trade secrets (whether or not any portion of them may be copyrighted or patented) or are otherwise proprietary to the Owner. You shall not remove or obscure the Owner's copyright, trade mark or other proprietary notices from any of the materials contained in this package or downloaded together with the Software.

5. Disclaimer of Warranties and Technical Support

The Software is provided to you free of charge and on an “AS IS” basis, without any technical support or warranty of any kind including, without limitation, any warranty or condition of merchantability, fitness for a particular purpose and non infringement. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU. YOU MAY ALSO HAVE OTHER LEGAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. Limitation of Liability

THE OWNER SHALL NOT BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES OR LOSS, INCLUDING DAMAGES FOR LOSS OF BUSINESS, LOSS OF PROFITS, OR THE LIKE, WHETHER BASED ON BREACH OF CONTRACT, TORT (INCLUDING NEGLIGENCE), PRODUCT LIABILITY OR OTHERWISE, EVEN IF THE OWNER OR ITS REPRESENTATIVES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME JURISDICTIONS DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU. The limited warranty, exclusive remedies and limited liability set forth above are fundamental elements of the basis of the agreement between the Owner and you. You agree that would not be able to provide the limitations.

7. Term and Termination

This Licence Agreement is effective until terminated. You may terminate this Licence Agreement at any other time by destroying all complete and partial copies of the Software in your possession. This Licence and your rights hereunder shall automatically terminate if you fail to comply with any provision of this Licence. Upon such termination, you shall cease all use of the Software and delete the Software and destroy all copies of the Software and other materials related to the Software in your possession or under your control.

8. General Provisions

(a) This Agreement shall be governed by and construed in accordance with the laws of England and the parties hereby attorn to the jurisdiction of the courts of England.

(b) This Agreement contains the complete agreement between the parties with respect to the subject matter hereof, and supersedes all prior or contemporaneous agreements or understandings, whether oral or written.

(c) All questions, comments or concerns with respect to this Agreement shall be directed to:

http://cyotek.com/

9. Updates

The Owner may from time to time release new versions of the Software. If you wish to be notified when a new version of the Software is released, you must subscribe to Cyotek update feeds at http://cyotek.com/. All new versions or releases which are provided to you shall be considered part of the Software and shall be governed by the terms of this Licence Agreement.

See Also

What is Cyotek WebCopy?
Acknowledgements
System Requirements


Acknowledgements

Acknowledgements
Introduction > Acknowledgements

Glossary Item Box

Icons

  • Some Icons are Copyright © Yusuke Kamiyamane. All rights reserved.
  • http://www.fatcow.com/free-icons
  • http://www.iconfinder.com/

Documentation

The help content for this application was created using Innovasys HelpStudio 2011. The SDK document was creating using Innovasys Document! X 2011.

See Also

What is Cyotek WebCopy?
License Agreement
System Requirements


System Requirements

System Requirements
Introduction > System Requirements

Glossary Item Box

Minimum Requirements

  • Windows XP SP2 or higher / 2003 / Vista (32bit or 64bit) / 7 (32bit or 64bit)
  • Microsoft .NET Framework 3.5
  • 10MB of available hard disk space

See Also

What is Cyotek WebCopy?
License Agreement
Acknowledgements


Getting Started

Getting Started
Send Feedback

Glossary Item Box

Click the links below to learn more about Cyotek WebCopy:

  • User Interface
    • About Result Panels
      • Results
      • Errors
      • Sitemap
      • Skipped
      • Files
      • Missing
    • Menu Reference
    • Toolbar Reference
    • Using the Website Links dialog
    • Using the Regular Expression Editor
  • Tutorials
    • Tutorial 1: Copying your first website
    • Tutorial 2: Using the web site information panels
    • Tutorial 3: Rules


User Interface

User Interface
Getting Started > User Interface

Glossary Item Box

The main WebCopy window is comprised of two regions. The region on the top allows you to customize the most common aspects of a WebCopy project. The lower region displays the results of a copy and various different informational views of the data.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

See Also

Welcome
Menu Reference
Toolbar Reference
Using the Website Links dialog
Using the Regular Expression Editor


About Result Panels

About Result Panels
Send Feedback
Getting Started > User Interface > About Result Panels

Glossary Item Box

The lower portion of the main window displays a series of panels containing different views of the data gathered during the copy or analyzing or a websites.

  • Results
  • Errors
  • Sitemap
  • Skipped
  • Files
  • Missing


About the Results Panel

About the Results Panel
Getting Started > User Interface > About Result Panels > About the Results Panel

Glossary Item Box

The results panel displays the results of the last analyze or copy operation.

Unlike the other panels, the contents of the results panel are not preserved and will lost when closing the active project.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Opening a local file

  • Context click an item in the list and choose Open local file [image] to open the local file in the default registered application.

Opening a local folder

  • Context click an item in the list and choose Open local folder [image] to open an Explorer window at the location of the local file.

Editing / previewing a local file

  • Context click an item in the list and choose Open local folder [image] to open the file within WebCopy. Only text based or image files are currently supported.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document.

See Also

About Result Panels
About the Errors Panel
About the Sitemap Panel
About the Skipped Panel
About the Files Panel
About the Missing Panel


About the Errors Panel

About the Errors Panel
Getting Started > User Interface > About Result Panels > About the Errors Panel

Glossary Item Box

The errors panel displays any errors that occured during the last analyze or copy operation.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document.

See Also

About Result Panels
About the Results Panel
About the Sitemap Panel
About the Skipped Panel
About the Files Panel
About the Missing Panel


About the Sitemap Panel

About the Sitemap Panel
Getting Started > User Interface > About Result Panels > About the Sitemap Panel

Glossary Item Box

The sitemap panel displays the structure of the website and the files contained within it.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Opening a remote URL

  • Context click an item in the tree and choose Open in browser [image] to open the remote URL in your default browser.

Opening a local file

  • Context click an item in the tree and choose Open local file [image] to open the local file in the default registered application.

Opening a local folder

  • Context click an item in the tree and choose Open local folder [image] to open an Explorer window at the location of the local file.

Editing / previewing a local file

  • Context click an item in the tree and choose Open local folder [image] to open the file within WebCopy. Only text based or image files are currently supported.

Creating a Rule

  • Context click an item in the tree and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the tree and choose View Link Map [image] to view the tree of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the tree and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click an item in the tree and choose Copy [image] to copy the selection to the Windows Clipboard.

See Also

About Result Panels
About the Results Panel
About the Errors Panel
About the Skipped Panel
About the Files Panel
About the Missing Panel


About the Skipped Panel

About the Skipped Panel
Getting Started > User Interface > About Result Panels > About the Skipped Panel

Glossary Item Box

The skipped panel displays any URL's that were skipped last analyze or copy operation and the reason why they were skipped.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document.

See Also

About Result Panels
About the Results Panel
About the Errors Panel
About the Sitemap Panel
About the Files Panel
About the Missing Panel


About the Files Panel

About the Files Panel
Getting Started > User Interface > About Result Panels > About the Files Panel

Glossary Item Box

The files panel displays a list of all files in the website.

Dynamic Image

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
images/tutorial2-e_thumb.png

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Opening a local file

  • Context click an item in the list and choose Open local file [image] to open the local file in the default registered application.

Opening a local folder

  • Context click an item in the list and choose Open local folder [image] to open an Explorer window at the location of the local file.

Editing / previewing a local file

  • Context click an item in the list and choose Open local folder [image] to open the file within WebCopy. Only text based or image files are currently supported.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document.

See Also

About Result Panels
About the Results Panel
About the Errors Panel
About the Sitemap Panel
About the Skipped Panel
About the Missing Panel


About the Missing Panel

About the Missing Panel
Getting Started > User Interface > About Result Panels > About the Missing Panel

Glossary Item Box

The missing panel displays any URL's which were detected during a previous scan, but were not found during the last scan.

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document.

See Also

About Result Panels
About the Results Panel
About the Errors Panel
About the Sitemap Panel
About the Skipped Panel
About the Files Panel


Menu Reference

Menu Reference
Getting Started > User Interface > Menu Reference

Glossary Item Box

File Menu

New | New
Open | Open
Save | Save
 | Save As
 | Recent Files
 | Exit

Edit Menu

Cut | Cut
Copy | Copy
Paste | Paste

Project Menu

Open in browser | Open in browser
Analyze Website | Analyze Website
Copy Website | Copy Website
Copy Settings | Copy Settings
Inclusions / Exclusions | Inclusions / Exclusions
Rules | Rules
Forms and Passwords | Forms and Passwords
Domain Aliases | Domain Aliases
User Agent | User Agent
Project Properties | Project Properties

Reports Menu

Website Size | Website Size
 | Redirects
 | Not Found
 | Empty Meta Data
 | External URI's
 | Images

View Menu

Standard
Edit
Project
Status bar
Theme

Tools Menu

Website Links | Website Links
Website Diagram | Website Diagram
 | Clear Link Map
Export Website URI's | Export Website URI's
Add-in Manager | Add-in Manager
 | External Tools
Options | Options

Help Menu

Contents | Contents
Index | Index
Report a bug or make a suggestion | Report a bug or make a suggestion
 | Check for updates
 | Technical Support
Customer Feedback Options | Customer Feedback Options
 | About

Results Context Menu

Open in browser | Open in browser
Open local file | Open local file
Open local folder | Open local folder
Edit local file | Edit local file
Add rule | Add rule
Incoming / Outgoing Links | Incoming / Outgoing Links
 | Website Size
Copy | Copy
Export | Export
Properties | Properties

Errors Context Menu

Open in browser | Open in browser
Open local file | Open local file
Open local folder | Open local folder
Edit local file | Edit local file
Add rule | Add rule
Incoming / Outgoing Links | Incoming / Outgoing Links
 | Website Size
Copy | Copy
Export | Export
Properties | Properties

Sitemap Context Menu

Open in browser | Open in browser
Open local folder | Open local folder
Open local file | Open local file
Edit local file | Edit local file
Add rule | Add rule
Copy | Copy
Incoming / Outgoing Links | Incoming / Outgoing Links
Properties | Properties

Files Context Menu

Open in browser | Open in browser
Open local file | Open local file
Open local folder | Open local folder
Edit local file | Edit local file
Add rule | Add rule
Incoming / Outgoing Links | Incoming / Outgoing Links
 | Website Size
Copy | Copy
Export | Export
Properties | Properties

Skipped Context Menu

Open in browser | Open in browser
Add rule | Add rule
Incoming / Outgoing Links | Incoming / Outgoing Links
Copy | Copy
Export | Export
Properties | Properties

Missing Context Menu

Open in browser | Open in browser
Add rule | Add rule
Incoming / Outgoing Links | Incoming / Outgoing Links
Copy | Copy
Export | Export
Properties | Properties

See Also

Welcome
User Interface
Toolbar Reference
Using the Website Links dialog
Using the Regular Expression Editor


Toolbar Reference

Toolbar Reference
Getting Started > User Interface > Toolbar Reference

Glossary Item Box

Standard Toolbar

New | New
Open | Open
Save | Save

Edit Toolbar

Cut | Cut
Copy | Copy
Paste | Paste

Project Toolbar

Project Properties | Project Properties
Analyze Website | Analyze Website
Copy Website | Copy Website
Website Links | Website Links
Website Diagram | Website Diagram

See Also

Welcome
User Interface
Menu Reference
Using the Website Links dialog
Using the Regular Expression Editor


Using the Website Links dialog

Using the Website Links dialog
Getting Started > User Interface > Using the Website Links dialog

Glossary Item Box

The Website Links dialog allows you to view all links to and from pages in the analyzed web site.

Select a URL from the Url's field to automatically see all links to the selected URL, and all links from the URL. You can also filter these lists when you are looking for specific URL's.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Lists all URL's in the map and allows you to select the active URL
Allows you to open the selected URL in your browser, or display the URL's properties
Allows you to filter the list of URL's displayed in the selection combo

Shows all pages which contain at least one link to the selected URL

Shows all pages which are linked to from the selected URL

Setting a URL to be the active URL

  • Context click an item and choose Set as Active URL

- or -

  • Double click a URL in the list

Opening a URL in a browser window

  • Context click an item and choose Open in browser

Copying the selected item

  • Context click an item and choose Copy

Export all items to CSV

  • Context click a list and choose Export Export

See Also

Welcome
User Interface
Menu Reference
Toolbar Reference
Using the Regular Expression Editor


Using the Regular Expression Editor
Getting Started > User Interface > Using the Regular Expression Editor

Glossary Item Box

Several configurable options support regular expressions. A basic editor for entering and testing regular expressions is available.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

To display the regular expression editor

  • Click the Edit Regular Expression [image] button displayed next to any field supporting expressions

Using the regular expression editor

  1. Enter the regular expression pattern into the Expression field
  2. Enter test data into the Test field
  3. The contents of the Test field will be color coded to indicate any matches with the pattern you have specified. The Results list will also display all matches found, selecting a match will highlight the matching text in the Test field.
  4. The Language Elements tab displays a list of common regular expression elements and examples. Double click a language element to insert it into your expression.

Updating the source expression

  • Click the Insert button to update the source field with the new expression and close the editor.

Automatically importing sample URL data

  • Click the Load Link Map URL's button automatically load all URL's in the current link map into the test data field

See Also

Welcome
User Interface
Menu Reference
Toolbar Reference
Using the Website Links dialog


Tutorials

Tutorials
Send Feedback
Getting Started > Tutorials

Glossary Item Box

The following topics contain tutorials on using Cyotek WebCopy:

  • Tutorial 1: Copying your first website
  • Tutorial 2: Using the web site information panels
  • Tutorial 3: Rules


Tutorial 1: Copying your first website

Tutorial 1: Copying your first website
Getting Started > Tutorials > Tutorial 1: Copying your first website

Glossary Item Box

In this first tutorial, we'll cover creating a new project and copying a website.

The website in this tutorial is a sample site hosted by Cyotek and is around 30KB in size.

Creating the new project

  1. Select New from the File menu, or press Control+N
  2. An empty project will be created with everything set to default values

Setting the web site URL

  3. Set the Website field to be http://demo.cyotek.com/staticwebsite/index.html

Setting the download folder

  4. The Save folder will default to c:\Downloaded Web Sites. Also by default, the domain of the web site to copy (demo.cyotek.com in this case) will be automatically appended to the folder path when copying the site. In most cases, you can just leave the Save folder field at its default value.

Copying the web site

  5. Select Copy Website from the Project menu, or press F5

WebCopy will then download the website. As the tutorial website is very small, this should only take a few seconds.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Viewing the copying website

  6. Click the green arrow icon to the right of the save folder to open the save folder.

Saving the new project

  7. Select Save from the File menu, or press Control+S
  8. Enter a filename your project and click Save

See Also

Tutorial 2: Using the web site information panels
Tutorial 3: Rules


Tutorial 2: Using the web site information panels

Tutorial 2: Using the web site information panels
Getting Started > Tutorials > Tutorial 2: Using the web site information panels

Glossary Item Box

This second tutorial covers the information panels displayed in the lower section of the WebCopy main window. These panels allow you to see the contents and structure of a website, and any errors that were encountered crawling the website.

With the exception of the Results panel, which is only available after an analyze or copy operation, the information in all other panels is stored within your project file.

Opening a remote URL

  • Context click an item in the list and choose Open in browser [image] to open the remote URL in your default browser.

Opening a local file

  • Context click an item in the list and choose Open local file [image] to open the local file in the default registered application. This option is not available in the Errors, Skipped or Missing panels.

Opening a local folder

  • Context click an item in the list and choose Open local folder [image] to open an Explorer window at the location of the local file. This option is not available in the Errors, Skipped or Missing panels.

Editing / previewing a local file

  • Context click an item in the list and choose Open local folder [image] to open the file within WebCopy. Only text based or image files are currently supported. This option is not available in the Errors, Skipped or Missing panels.

Creating a Rule

  • Context click an item in the list and choose Add Rule [image] to open a rule editor for the selected URL.

Viewing the Link Map

  • Context click an item in the list and choose View Link Map [image] to view the list of URL's pointing to and from the selected URL.

Viewing the properties of a URL

  • Context click an item in the list and choose Properties [image] to display the properties of the URL.

Copying the selection

  • Context click one or more items in the list and choose Copy [image] to copy the selection to the Windows Clipboard.

Exporting to CSV

  • Context click the list and choose Export to export the contents of the list to a Comma Separated Values (CSV) document. This option is not available in the Sitemap panel.

The Results Panel

This panel displays the results of the last analyze or copy operation. Green icons indicate a successful action, yellow indicate an action that was aborted due to the settings of the project, and red icons indicate errors.

The list displays the URL that was process, the final status of the URL, how the URL was found and the size of the URL's contents.

The image below shows an example of the output after copying a web site from the first tutorial.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Errors Panel

The errors panel displays a list of errors that were encounter during the last analyze or copy. URL's that were skipped (for any reason) do not count as errors and are not listed here.

The image below shows an example of the output after copying a web site from the first tutorial. The demonstration website has a link pointing to a page which does not exist.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Sitemap Panel

This panel displays the structure of the copied website. Unlike WebCopy's sister product, Sitemap Creator, this panel will list any detected file.

The image below shows an example of the output after copying a web site from the first tutorial. Visible are the actual HTML content pages, but also related script and image resources.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Skipped Panel

This panel displays a list of any URL's which were skipped. A URL can be skipped for several reasons, including:

  • A URL which is external, ie not belonging to the domain currently being scanned
  • A URL which has been excluded via a rule
  • A URL which is above the starting URL of the copy

The image below shows an example of the output after copying a web site from the first tutorial. Links to cyotek.com and the author of the website design have been excluded due their domains not matching the web site domain.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Files Panel

This panel displays a list of the files discovered during the crawl. Similar to the Sitemap panel, it is presented as a flat list.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

The Missing Panel

This panel displays the any files that were found during a previous scan, but were not found during the last scan.

See Also

Tutorial 1: Copying your first website
Tutorial 3: Rules


Tutorial 3: Rules

Tutorial 3: Rules
Getting Started > Tutorials > Tutorial 3: Rules

Glossary Item Box

The third tutorial covers rules. Rules allow you to configure how the web site is downloaded.

This tutorial assumes you have followed the steps in the first tutorial.

Adding a new rule

  1. Select Rules [image] from the Project menu, or press Control+R to display the rule editor.
  2. In the Pattern field, enter \.gif
  3. Click the Add button to add the rule
  4. Click OK to save the rule and close the editor

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink
  5. Press Shift+F5 to copy the project
By default, if a web site reports that a file is unchanged since the last scan, WebCopy will not download that file again. By holding down shift when starting an analyze or copy action, WebCopy will always download the files. You can also configure this option to be permanently enabled for a project.

When the copy has finished, the Skipped table will show that all URL's containing .gif were skipped. The yellow icon indicates that the file was skipped due to a rule.

Click to Enlarge Click to Enlarge
Click to Shrink Click to Shrink

Editing a rule

  6. Select Rules [image] from the Project menu, or press Control+R to display the rule editor.
  7. Select the rule from the list
  8. Enter \.gif(?:$|#|\?) into the Pattern field
  9. Click OK to save the rule and close the editor

If you copy the website now, you'll get the same results as before. However, the rule is now a little more robust - instead of blindingly ignoring any URL containing .gif, it will only ignore any URL which

  • ends in .gif (http://somewhere.com/test.gif)
  • has .gif before the fragment (http://somewhere.com/test.gif#bookmark)
  • has .gif before the query string (http://somewhere.com/test.gif?value1=a)

By entering regular expressions as rules, you have powerful control over what content is downloaded and what content is skipped.

See Also

Tutorial 1: Copying your first website
Tutorial 2: Using the web site information panels

Getting Started
Using the Regular Expression Editor


Working with Projects

Working with Projects
Send Feedback

Glossary Item Box

Each WebCopy project can be customized in various ways.

Click the links below to learn more about project customization:

  • Customizing Projects
  • Specifying the web site
  • Specifying the save folder
  • Remapping extensions
  • Specifying default documents
  • Crawling additional root URL's
  • Advanced Project Customization
    • Advanced Project Customization
    • Configuring the behavior of link maps
    • Configuring domain aliases
    • Specifying a User Agent
    • Disabling header checking
    • Query String Manipulation
    • Scanning sub domains
    • Following redirects
    • Crawling above the root URL
    • HTTP Compression


Customizing Projects

Customizing Projects
Working with Projects > Customizing Projects

Glossary Item Box

To display the project properties dialog:

  • From the Project menu, click Settings [image] .

See Also

Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Specifying the web site

Specifying the web site
Working with Projects > Specifying the web site

Glossary Item Box

Before you can copy a web site, you need to specify the URL of the site to crawl.

  1. From the Project Properties dialog, click the General option.
  2. Enter the complete the URL to crawl in the Website URL field.

See Also

Customizing Projects
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Specifying the save folder
Working with Projects > Specifying the save folder

Glossary Item Box

Before you can copy a web site, you need to specify the path where the downloaded files will be saved. You can also choose to optionally flatten the downloaded site hierarchy.

Specifying the save folder

  1. From the Project Properties dialog, click the Copy option.
  2. Enter the folder where the downloaded files will be saved
  3. Optionally, check or uncheck the Create folder for domain option
  4. Optionally, check or uncheck the Flatten website folder option
  5. Optionally, check or uncheck the Empty website folder before copy option

Creating sub folders by domain

By default, WebCopy will download all web sites to C:\Downloaded Websites. Each new project will also have the Create folder for domain option enabled. This means that if, for example, you download www.cyotek.com, the download location will be C:\Downloaded Websites\www.cyotek.com.

Flattening website folders

WebCopy can try and mirror the folder structure of the local copy to that of the website. However, in some cases this may not be appropriate. By setting the Flatten website folder option, all downloaded content will be in the same folder regardless of its location on the remote site.

Emptying the website folder

If you are rescanning an existing web, WebCopy will try to reuse existing filenames. However, if the website URL's change a lot, or if you do not save the link map, setting the Empty website folder before copy option will delete the contents of the save folder prior to copying the web site.

See Also

Customizing Projects
Specifying the web site
Remapping extensions
Specifying default documents
Crawling additional root URL's

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Remapping extensions

Remapping extensions
Working with Projects > Remapping extensions

Glossary Item Box

Many files on a remote web serve may not behaviour normally when executed from the local file systems, such as .php or .aspx. WebCopy can handle this by changing the extensions of downloaded content to match their mime type. For example, .php and .aspx would be renamed to .html.

Enabling extension remapping

  1. From the Project Properties dialog, click the Copy option.
  2. Check Remap file extensions by content type.

See Also

Customizing Projects
Specifying the web site
Specifying the save folder
Specifying default documents
Crawling additional root URL's

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Specifying default documents

Specifying default documents
Working with Projects > Specifying default documents

Glossary Item Box

For some sites, you may have a link to a folder, and others might link to the default document of that folders. WebCopy would class these as two separate entries and generate additional elements accordingly.

If you define default documents, WebCopy will try and link page-less URL's to URL's containing the default document name.

To configure default documents:

  1. From the Project Properties dialog, click the Default Documents option.
  2. Enter the default document in the Default documents field.
You can specify multiple default documents by entering each document on a new line.

See Also

Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Crawling additional root URL's

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Crawling additional root URL's

Crawling additional root URL's
Working with Projects > Crawling additional root URL's

Glossary Item Box

If there are sections of your site which do not have any inbound links, but which you still wish crawled, you can specify additional seed URL's for the crawl process.

To customize additional root URL's

  • From the Project Properties dialog, click the Additional Root URL's option.

Adding a new URL

  1. In the URI field, enter the URl
  2. Click the Add button

Deleting a URL

  1. Select the URL you wish to remove from the list
  2. Click the Delete button

See Also

Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents

Advanced Project Customization
Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Advanced Project Customization

Advanced Project Customization
Working with Projects > Advanced Project Customization

Glossary Item Box

You can easily copy websites without requiring to specify any advanced options. WebCopy provides a number of more advanced settings for working with web sites.

See Also

Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Configuring the behavior of link maps

Configuring the behavior of link maps
Working with Projects > Advanced Project Customization > Configuring the behavior of link maps

Glossary Item Box

When you analyze or copy a website, WebCopy creates a link map, that is a list of all incoming and outgoing links for each scanned URL, and other relavent attributes such as response code, content type and more.

By default, link map information will be saved into your project file, however if your web site has many links you may wish to disable this. Also by default, the link map is automatically preserved each time the source web site is analyzed however this can be changed on a per project basis.

The link map can be viewed from within WebCopy. By marking a link as hidden, it will not be displayed by default in the Link Map Viewer.

To toggle the saving of the link map in a project file

  1. From the Project Properties dialog, click the General option.
  2. Check or uncheck the Save link information in project field

To toggle the clearing of link maps before analyzing a web site

  1. From the Project Properties dialog, click the General option.
  2. Check or uncheck the Clear link information before analyze field

See Also

Advanced Project Customization
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression


Configuring domain aliases

Configuring domain aliases
Working with Projects > Advanced Project Customization > Configuring domain aliases

Glossary Item Box

If the site to be copied has links to domains that you wish to automatically convert to the domain being crawled, you can use the Domain Aliases function.

To customize domain aliases

  • From the Project Properties dialog, click the Domain Aliases option.

Adding a new alias

  1. In the Alias Pattern field, enter a search pattern. You can use regular expressions
  2. Click the Add button

Deleting an alias

  1. Select the alias you wish to remove from the list
  2. Click the Delete button

Updating an alias

  1. Select the alias you wish to edit from the list. The Alias Pattern fields will be updated to match the selection.
  2. Enter new value for the alias pattern. The selected item in the list will be updated with the changes you specify.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Specifying a User Agent

Specifying a User Agent
Working with Projects > Advanced Project Customization > Specifying a User Agent

Glossary Item Box

By default, when crawling a web site, WebCopy will send a application defined user agent. However you can override this to a value of your own choosing if required.

To configure the user agent:

  1. From the Project Properties dialog, click the User Agent option.
  2. To use the application defined user agent, select Use default user agent.
  3. Alternatively, to apply a custom agent, select Use custom user agent and enter an agent string in the space provided or choose from the list.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Disabling header checking

Disabling header checking
Working with Projects > Advanced Project Customization > Disabling header checking

Glossary Item Box

By default, WebCopy will send a HEAD command to all URL's to check their content types before downloading the content via a GET. You can disable this behavior and always GET if required, however this is not recommended.

To enable or disable header checking

  1. From the Project Properties dialog, click the Advanced option.
  2. Check or uncheck the Use header checking option.
Note: If header checking is disabled, the full contents of any non-excluded file will always be downloaded regardless of it's content type. Where possible, header checking should be left enabled.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Query String Manipulation

Query String Manipulation
Working with Projects > Advanced Project Customization > Query String Manipulation

Glossary Item Box

If your site links include query string arguments, you can configure how they are processed.

To disable all query strings from being included in processing:

  1. From the Project Properties dialog, click the Query Strings option.
  2. Check the String query string segments option.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Scanning sub domains
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Scanning sub domains

Scanning sub domains
Working with Projects > Advanced Project Customization > Scanning sub domains

Glossary Item Box

WebCopy can automatically scan sub domains of websites if desired.

To enable or disable sub domain scanning

  1. From the Project Properties dialog, click the General option.
  2. Check or uncheck the Include sub domains option.
Note: In order for the sub domain to be recognized, it needs to end with your primary domain. For example, if your domain was cyotek.com, then help.cyotek.com would be recognized as a sub domain, but cyotek.help.com would not.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Following redirects
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Following redirects

Following redirects
Working with Projects > Advanced Project Customization > Following redirects

Glossary Item Box

By default, WebCopy will follow redirects (HTTP 301, 302 and 307) when crawling a website.

To enable or disable redirect following

  1. From the Project Properties dialog, click the Advanced option.
  2. Check or uncheck the Follow redirects option.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Crawling above the root URL
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Crawling above the root URL

Crawling above the root URL
Working with Projects > Advanced Project Customization > Crawling above the root URL

Glossary Item Box

If you have a url such as http://cyotek.com/help/, by default WebCopy will not crawl above this URL. So it will match /help/index.htm, but will not match /products/index.htm.

To enable or disable crawling above the root URL

  1. From the Project Properties dialog, click the Advanced option.
  2. Check or uncheck the Crawl above the root URL option.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
HTTP Compression

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


HTTP Compression

HTTP Compression
Working with Projects > Advanced Project Customization > HTTP Compression

Glossary Item Box

WebCopy supports GZIP and Deflate compression, both of which are enabled by default. Compression allows for faster downloads. However, you can disable these options if required.

Disabling compression will mean the Accept-Encoding header will not be sent with requests, informing the web server not to compress content before serving it.

To enable or disable deflate compression

  1. From the Project Properties dialog, click the Advanced option.
  2. Check or uncheck the Accept deflate compressed content option.

To enable or disable GZIP compression

  1. From the Project Properties dialog, click the Advanced option.
  2. Check or uncheck the Accept gzip compressed content option.

See Also

Advanced Project Customization
Configuring the behavior of link maps
Configuring domain aliases
Specifying a User Agent
Disabling header checking
Query String Manipulation
Scanning sub domains
Following redirects
Crawling above the root URL

Working with projects
Customizing Projects
Specifying the web site
Specifying the save folder
Remapping extensions
Specifying default documents
Crawling additional root URL's


Working with Rules

Working with Rules
Send Feedback

Glossary Item Box

Click the links below to learn more about working with rules:

  • Rule Properties
  • Adding rules
  • Editing rules
  • Deleting rules


Rule Properties

Rule Properties
Working with Rules > Rule Properties

Glossary Item Box

Pattern | A regular expression with is matched against a URL while analzying or copying a website. If a match is found, and the rule is enabled, then the attributes below are processed.
Exclude | Specifies that the URL should be excluded
Crawl Content | Specifies that although the URL is excluded, its contents should still be scanned
Include | Specifies that the URL should be included
Don't Crawl Content | Specifies that although the URL is included, its contents should not be scanned
Use Full URI | By default, the pattern is only matched on the path and query string of the URL. If this option is specified, the pattern is checked against the entire URL, including domain, schema etc.
Enable this rule | Specifies if the rule is enabled or not

See Also

Adding rules
Editing rules
Deleting rules


Adding rules

Adding rules
Working with Rules > Adding rules

Glossary Item Box

Adding a new rule via the Rules Editor

  1. Select Rules [image] from the Project menu, or press Control+R to display the rule editor.
  2. Enter a regular expression into the Pattern field
  3. Select any other options to control how the rule behaves
  4. Click the Add button to add the rule to the list

Adding a new rule via the Rules List

  1. Context click the rules list and choose Add
  2. Enter a regular expression into the Pattern field
  3. Select any other options to control how the rule behaves
  4. Click the Add button to add the new rule

See Also

Rule Properties
Editing rules
Deleting rules

Getting Started
Using the Regular Expression Editor


Editing rules

Editing rules
Working with Rules > Editing rules

Glossary Item Box

Editing an existing rule via the Rules Editor

  1. Select Rules [image] from the Project menu, or press Control+R to display the rule editor.
  2. Select a rule from the list
  3. Edit the rule as desired

Editing an existing rule via the Rules List

  1. Context click the rule you wish to modify and select Edit
  2. Edit the rule as desired
  3. Click OK to save the modifications

See Also

Rule Properties
Adding rules
Deleting rules

Getting Started
Using the Regular Expression Editor


Deleting rules

Deleting rules
Working with Rules > Deleting rules

Glossary Item Box

Deleting an existing rule via the Rules Editor

  1. Select Rules [image] from the Project menu, or press Control+R to display the rule editor.
  2. Select a rule from the list
  3. Click the Delete button

Deleting an existing rule via the Rules List

  • Context click the rule you wish to remove and select Delete

See Also

Rule Properties
Adding rules
Editing rules


Working with Forms

Working with Forms
Send Feedback

Glossary Item Box

Click the links below to learn more about working with forms:

  • Form Properties
  • Adding forms
  • Editing forms
  • Deleting forms
  • Testing a form


Form Properties

Form Properties
Working with Forms > Form Properties

Glossary Item Box

Form data is stored in plain text in a WebCopy project file
URI | The URL of the form to post, relative to the website URL
Form Data | Specifies the data that will be posted. One piece of data should be entered per line, in the format name=value.
Enabled | If the form is not enabled, it will not be posted when the analyze/copy is performed

See Also

Adding forms
Editing forms
Deleting forms
Testing a form


Adding forms

Adding forms
Working with Forms > Adding forms

Glossary Item Box

Form data is stored in plain text in a WebCopy project file

Adding a new form via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu
  2. Enter the URL of the form to post in the URI field
  3. Enter the post data for the form in the Form Data field
  4. Click the Add button to add the form to the list

Adding a new rule via the Rules List

  1. Context click the forms list and choose Add
  2. Enter the URL of the form to post in the URI field
  3. Enter the post data for the form in the Form Data field
  4. Click the Add button to add the new form

See Also

Form Properties
Editing forms
Deleting forms
Testing a form


Editing forms

Editing forms
Working with Forms > Editing forms

Glossary Item Box

Form data is stored in plain text in a WebCopy project file

Editing an existing form via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu
  2. Select a form from the list
  3. Edit the form as desired

Editing an existing form via the Form List

  1. Context click the rule you wish to modify and select Edit
  2. Edit the form as desired
  3. Click OK to save the modifications

See Also

Form Properties
Adding forms
Deleting forms
Testing a form


Deleting forms

Deleting forms
Working with Forms > Deleting forms

Glossary Item Box

Deleting an existing form via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu
  2. Select a form from the list
  3. Click the Delete button

Deleting an existing form via the Forms List

  • Context click the form you wish to remove and select Delete

See Also

Form Properties
Adding forms
Editing forms
Testing a form


Testing a form
Working with Forms > Testing a form

Glossary Item Box

You can test posting a form prior to performing a web site copy or analyze to ensure the values are correct.

Testing a form

  • Open a form editor, then click the Test Form button

The test form dialog

The test form dialog automatically opens when you perform a form test. The dialog contains the following information:

  • Properties: Displays the URI that was tested, the response code, content type and and size.
  • Request Headers: Displays the headers of the post request
  • Response Headers: Displays the headers of the response
  • Content: Displays the response content

See Also

Form Properties
Adding forms
Editing forms
Deleting forms


Working with Passwords

Working with Passwords
Send Feedback

Glossary Item Box

Click the links below to learn more about working with forms:

  • Password Properties
  • Prompting for passwords
  • Adding passwords
  • Editing passwords
  • Deleting passwords


Password Properties

Password Properties
Working with Passwords > Password Properties

Glossary Item Box

Password data is stored in plain text in a WebCopy project file
URI | The URL of the page the password will be used for, relative to the website URL
User name | Login user name
Password | Login password

See Also

Prompting for passwords
Adding passwords
Editing passwords
Deleting passwords


Prompting for passwords

Prompting for passwords
Working with Passwords > Prompting for passwords

Glossary Item Box

Before WebCopy tries to access a resource, it will try and get a set of credentials matching the resource URL. If you have defined such credentials, then these will be password to the request.

However, if you are analyzing or copying a website and a 401 (Unauthorized) response is returned, WebCopy will do the following:

  • If the Do not prompt for passwords setting is set, WebCopy will ignore the URL and continue with the scan
  • If the Do not prompt for passwords setting is not set, WebCopy will prompt for a user name and password, then attempt to retry the URL until either authentication is successful, or the user cancels the password prompt

See Also

Password Properties
Adding passwords
Editing passwords
Deleting passwords


Adding passwords

Adding passwords
Working with Passwords > Adding passwords

Glossary Item Box

Password data is stored in plain text in a WebCopy project file

Adding a new password via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu and click the Passwords tab
  2. Enter the URL of the form to post in the URI field
  3. Enter the required user name and password
  4. Click the Add button to add the password to the list

See Also

Password Properties
Prompting for passwords
Editing passwords
Deleting passwords

Getting Started
Using the Regular Expression Editor


Editing passwords

Editing passwords
Working with Passwords > Editing passwords

Glossary Item Box

Password data is stored in plain text in a WebCopy project file

Editing an existing password via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu and click the Passwords tab
  2. Select a password from the list
  3. Edit the password as desired

See Also

Password Properties
Prompting for passwords
Adding passwords
Deleting passwords

Getting Started
Using the Regular Expression Editor


Deleting passwords

Deleting passwords
Working with Passwords > Deleting passwords

Glossary Item Box

Deleting an existing form via the Forms and Passwords Editor

  1. Select Forms and Passwords [image] from the Project menu and click the Passwords tab
  2. Select a password from the list
  3. Click the Delete button

See Also

Password Properties
Prompting for passwords
Adding passwords
Editing passwords


Support and online resources

Support and online resources
Send Feedback

Glossary Item Box

Click the links below for information about technical support and other online resources:

  • Support
  • Checking for updates


Support

Support
Support and online resources > Support

Glossary Item Box

Limited support is available to all users of the latest version of this product.

Accessing Support Resources from an Internet Browser

  1. Launch your Internet Browser
  2. Enter this URL in the address bar: http://cyotek.com/support

Accessing Support Resources from within the application

  1. From the Help menu, click Technical Support
  2. The support website will be opened in your default Internet Browser

See Also

Checking for updates


Checking for updates

Checking for updates
Support and online resources > Checking for updates

Glossary Item Box

Manually checking for updates

  1. Open the Help menu and choose Check for updates
  2. WebCopy will then query the Cyotek website for the latest version. The current product version is transferred, no other information is sent.
  3. If an update is available, a prompt will appear to navigate to the Cyotek website to download the new version

Automatically checking for updates

If the automatic update check option is set, WebCopy will automatically check for updates once a day. When checking for updates, the current product version is transferred, no other information is sent. If an update is found, a notification will be displayed in the status bar, click this notification to navigate to the Cyotek website to download the new version.

See Also

Support


New Content Snippet

Glossary Item Box

The results panel is displayed in the lower section of the application window, and provides information about the results of the crawl, and the contents and structure of the web site.

The results panel is broken into the following tabs:

  • Analyze Results Tab
  • Build Results Tab
  • Sitemap Tab
  • Pages Tab
  • Skipped Tab
  • Errors Tab
  • Log Tab


a
about
after
against
all
along
also
although
am
among
an
and
are
as
at
be
became
because
been
being
between
but
by
can
caution
come
could
details
did
do
does
doing
done
during
each
early
far
finally
for
found
from
had
has
have
he
her
here
his
how
however
I
if
in
include
including
information
into
is
it
its
late
later
made
many
may
me
med
might
more
most
near
no
non
none
nor
not
note
of
off
on
only
or
other
over
saw
see
seen
several
she
since
so
some
such
than
that
the
their
them
then
there
these
they
this
those
through
tip
to
too
under
until
up
us
use
very
warning
was
we
were
when
where
which
while
who
with
you